summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2009-10-11 13:50:45 +0200
committerDan McGee <dan@archlinux.org>2010-05-06 02:31:58 +0200
commit2ce444ee1099d837d4a1a2978edfdfc9d5fe9d96 (patch)
tree298f5a6f877871fb1099cc6e0d6144a2bab6e9c6 /scripts
parent79987c92cb07c67914adf1febcc5ebdecf2a09b7 (diff)
downloadpacman-2ce444ee1099d837d4a1a2978edfdfc9d5fe9d96.tar.gz
pacman-2ce444ee1099d837d4a1a2978edfdfc9d5fe9d96.tar.xz
makepkg: rework --skipinteg
The current --skipinteg is a bit weird. It does not skip integrity checks, but instead does them and prints a warning. Change this behaviour to actually skipping the checks. Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index dbb1a1e7..e8aaa8b7 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -636,12 +636,8 @@ check_checksums() {
done
if (( ! correlation )); then
- if (( SKIPINTEG )); then
- warning "$(gettext "Integrity checks are missing.")"
- else
- error "$(gettext "Integrity checks are missing.")"
- exit 1 # TODO: error code
- fi
+ error "$(gettext "Integrity checks are missing.")"
+ exit 1 # TODO: error code
fi
}
@@ -1970,7 +1966,11 @@ elif (( REPKG )); then
fi
else
download_sources
- check_checksums
+ if (( ! SKIPINTEG )); then
+ check_checksums
+ else
+ warning "$(gettext "Skipping integrity checks.")"
+ fi
extract_sources
fi